import { EntityEquippableComponent } from "@minecraft/server";
export function getPlayerEquipment(player) {
    return player.getComponent(EntityEquippableComponent.componentId);
}
export function isInRange(value, min, max) {
    return value >= min && value <= max;
}
export function calculateEuclideanDistance(location1, location2) {
    let deltaX = location1.x - location2.x;
    let deltaY = location1.y - location2.y;
    let deltaZ = location1.z - location2.z;
    let distance = Math.sqrt(deltaX ** 2 + deltaY ** 2 + deltaZ ** 2);
    return distance;
}
